> ## Documentation Index
> Fetch the complete documentation index at: https://docs.landfall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a preview output's download URL

> Returns a time-limited presigned S3 URL to download one destination slot's produced rows (JSONL) directly from the bucket. Only available for preview runs.




## OpenAPI

````yaml /api-reference/openapi.yml get /build-runs/{buildRunId}/outputs/{destinationName}
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.29.0
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /build-runs/{buildRunId}/outputs/{destinationName}:
    get:
      tags:
        - buildspecs
      summary: Fetch a preview output's download URL
      description: >
        Returns a time-limited presigned S3 URL to download one destination
        slot's produced rows (JSONL) directly from the bucket. Only available
        for preview runs.
      operationId: getBuildRunOutput
      parameters:
        - name: buildRunId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: destinationName
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The presigned download URL for the output slot.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BuildRunOutputResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    BuildRunOutputResponse:
      required:
        - downloadUrl
        - expiresAt
      type: object
      properties:
        downloadUrl:
          type: string
          description: >-
            A presigned S3 URL to download this output slot's produced rows
            (JSONL). Time-limited.
        expiresAt:
          type: string
          description: When the presigned URL expires.
          format: date-time
    ErrorResponse:
      required:
        - error_code
        - message
      type: object
      properties:
        error_code:
          type: string
          example: UNAUTHORIZED
        error_message:
          type: string
          example: ''
        message:
          type: string
          example: Missing authentication token
        sub_errors:
          type: array
          items:
            required:
              - code
              - message
            type: object
            properties:
              code:
                type: string
              message:
                type: string
  responses:
    Unauthorized:
      description: >-
        Unauthorized. This error occurs if the authentication token is missing
        or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````